Skip to main content
Server path: /vercel-deployments | Type: Application | PCID required: Yes

Tools

ToolDescription
vercel_deployments_approve_rolling_release_stageUpdate the active rolling release to the next stage for a project
vercel_deployments_cancel_deploymentCancel a deployment
vercel_deployments_complete_rolling_releaseComplete the rolling release for the project
vercel_deployments_create_deploymentCreate a new deployment
vercel_deployments_create_deployment_check_runCreate a check run
vercel_deployments_create_project_checkCreate a check
vercel_deployments_delete_deploymentDelete a Deployment
vercel_deployments_delete_project_checkDelete a check
vercel_deployments_delete_rolling_release_configDelete rolling release configuration
vercel_deployments_get_deploymentGet a deployment by ID or URL
vercel_deployments_get_deployment_check_runGet a check run
vercel_deployments_get_deployment_eventsGet deployment events
vercel_deployments_get_deployment_file_contentsGet Deployment File Contents
vercel_deployments_get_deploymentsList deployments
vercel_deployments_get_project_checkGet a check
vercel_deployments_get_rolling_releaseGet the active rolling release information for a project
vercel_deployments_get_rolling_release_billing_statusGet rolling release billing status
vercel_deployments_get_rolling_release_configGet rolling release configuration
vercel_deployments_list_check_runsList runs for a check
vercel_deployments_list_deployment_check_runsList check runs for a deployment
vercel_deployments_list_deployment_filesList Deployment Files
vercel_deployments_list_project_checksList all checks for a project
vercel_deployments_update_deployment_check_runUpdate a check run
vercel_deployments_update_integration_deployment_actionUpdate deployment integration action
vercel_deployments_update_project_checkUpdate a check
vercel_deployments_update_rolling_release_configUpdate the rolling release settings for the project
vercel_deployments_upload_fileUpload Deployment Files

vercel_deployments_approve_rolling_release_stage

Update the active rolling release to the next stage for a project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
canaryDeploymentIdstringYesThe id of the canary deployment to approve for the next stage
nextStageIndexnumberYesThe index of the stage to transition to

vercel_deployments_cancel_deployment

Cancel a deployment Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique identifier of the deployment.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_complete_rolling_release

Complete the rolling release for the project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
canaryDeploymentIdstringYesThe ID of the canary deployment to complete

vercel_deployments_create_deployment

Create a new deployment Parameters:
ParameterTypeRequiredDefaultDescription
forceNewobjectNoForces a new deployment even if there is a previous similar deployment
skipAutoDetectionConfirmationobjectNoAllows to skip framework detection so the API would not fail to ask for confirmation
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
customEnvironmentSlugOrIdstringNoDeploy to a custom environment, which will override the default environment
deploymentIdstringNoAn deployment id for an existing deployment to redeploy
filesany[]NoA list of objects with the files to be deployed
gitMetadataobjectNoPopulates initial git metadata for different git providers.
gitSourceobjectNoDefines the Git Repository source to be deployed. This property can not be used in combination with files.
metaobjectNoAn object containing the deployment’s metadata. Multiple key-value pairs can be attached to a deployment
monorepoManagerstringNoThe monorepo manager that is being used for this deployment. When null is used no monorepo manager is selected
namestringYesA string with the project name used in the deployment URL
projectstringNoThe target project identifier in which the deployment will be created. When defined, this parameter overrides name
projectSettingsobjectNoProject settings that will be applied to the deployment. It is required for the first deployment of a project and will be saved for any following deployments
targetstringNoEither not defined, staging, production, or a custom environment identifier. If staging, a staging alias in the format <project>-<team>.vercel.app will be assigned. If production, any aliases defined in alias will be assigned. If omitted, the target will be preview.
withLatestCommitbooleanNoWhen true and deploymentId is passed in, the sha from the previous deployment’s gitSource is removed forcing the latest commit to be used.

vercel_deployments_create_deployment_check_run

Create a check run Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesDeployment Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
checkIdstringYesCheck Id

vercel_deployments_create_project_check

Create a check Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
blocksstringNoThe blocks value
isRerequestablebooleanNoIs Rerequestable
namestringYesThe name value
requiresstringYesThe requires value
sourceobjectNoThe source value
targetsany[]NoThe targets value
timeoutnumberNoThe timeout value

vercel_deployments_delete_deployment

Delete a Deployment Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the deployment to be deleted
urlstringNoA Deployment or Alias URL. In case it is passed, the ID will be ignored
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_delete_project_check

Delete a check Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
checkIdstringYesCheck Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_delete_rolling_release_config

Delete rolling release configuration Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_deployment

Get a deployment by ID or URL Parameters:
ParameterTypeRequiredDefaultDescription
idOrUrlstringYesThe unique identifier or hostname of the deployment.
withGitRepoInfostringNoWhether to add in gitRepo information.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_deployment_check_run

Get a check run Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesDeployment Id
checkRunIdstringYesThe ID of the resource that will be updated.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_deployment_events

Get deployment events Parameters:
ParameterTypeRequiredDefaultDescription
idOrUrlstringYesThe unique identifier or hostname of the deployment.
directionstringNoOrder of the returned events based on the timestamp.
follownumberNoWhen enabled, this endpoint will return live events as they happen.
limitnumberNoMaximum number of events to return. Provide -1 to return all available logs.
namestringNoDeployment build ID.
sincenumberNoTimestamp for when build logs should be pulled from.
untilnumberNoTimestamp for when the build logs should be pulled up until.
statusCodeobjectNoHTTP status code range to filter events by.
delimiternumberNoThe delimiter value
buildsnumberNoThe builds value
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_deployment_file_contents

Get Deployment File Contents Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique deployment identifier
fileIdstringYesThe unique file identifier
pathstringNoPath to the file to fetch (only for Git deployments)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_deployments

List deployments Parameters:
ParameterTypeRequiredDefaultDescription
appstringNoName of the deployment.
fromnumberNoGets the deployment created after this Date timestamp. (default: current time)
limitnumberNoMaximum number of deployments to list from a request.
projectIdstringNoFilter deployments from the given ID or name.
projectIdsany[]NoFilter deployments from the given project IDs. Cannot be used when projectId is specified.
targetstringNoFilter deployments based on the environment.
tonumberNoGets the deployment created before this Date timestamp. (default: current time)
usersstringNoFilter out deployments based on users who have created the deployment.
sincenumberNoGet Deployments created after this JavaScript timestamp.
untilnumberNoGet Deployments created before this JavaScript timestamp.
statestringNoFilter deployments based on their state (BUILDING, ERROR, INITIALIZING, QUEUED, READY, CANCELED)
rollbackCandidatebooleanNoFilter deployments based on their rollback candidacy
branchstringNoFilter deployments based on the branch name
shastringNoFilter deployments based on the SHA
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_project_check

Get a check Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
checkIdstringYesThe ID of the resource that will be updated.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_rolling_release

Get the active rolling release information for a project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
statestringNoFilter by rolling release state
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_rolling_release_billing_status

Get rolling release billing status Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_get_rolling_release_config

Get rolling release configuration Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_list_check_runs

List runs for a check Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
checkIdstringYesThe ID of the resource that will be updated.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_list_deployment_check_runs

List check runs for a deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesDeployment Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_list_deployment_files

List Deployment Files Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique deployment identifier
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_list_project_checks

List all checks for a project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
blocksstringNoThe blocks value
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_update_deployment_check_run

Update a check run Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesDeployment Id
checkRunIdstringYesCheck Run Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
completedAtnumberNoCompleted At
conclusionstringNoThe conclusion value
conclusionTextstringNoConclusion Text
externalIdstringNoExternal Id
externalUrlstringNoExternal Url
outputobjectNoThe output value
statusstringNoThe status value

vercel_deployments_update_integration_deployment_action

Update deployment integration action Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesDeployment Id
integrationConfigurationIdstringYesIntegration Configuration Id
resourceIdstringYesResource Id
actionstringYesThe action value
outcomesany[]NoThe outcomes value
statusstringNoThe status value
statusTextstringNoStatus Text
statusUrlstringNoStatus Url

vercel_deployments_update_project_check

Update a check Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
checkIdstringYesCheck Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
blocksstringNoThe blocks value
isRerequestablebooleanNoIs Rerequestable
namestringNoThe name value
requiresstringNoThe requires value
targetsany[]NoThe targets value
timeoutnumberNoThe timeout value

vercel_deployments_update_rolling_release_config

Update the rolling release settings for the project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesProject ID or project name (URL-encoded)
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_deployments_upload_file

Upload Deployment Files Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
bodystringNoRequest body